> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mirurobotics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Retrieve a user in the workspace by ID, including members who have left or been suspended.

| Scope | Required |
| - | - |
| `users:read` | Yes |


## OpenAPI

````yaml /references/platform-api/2026-11-04.yaml get /users/{user_id}
openapi: 3.0.3
info:
  title: Miru Platform API
  description: The API between Miru and any external client
  version: 2026-11-04.everglades
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  x-release-version: 2026-11-04.everglades
  x-git-commit:
    sha: e1decbb4c54ce8a4bf2f78b8728b2b10654294c9
    url: >-
      https://github.com/mirurobotics/openapi/commit/e1decbb4c54ce8a4bf2f78b8728b2b10654294c9
    message: >-
      feat(platform): add archived and deleted list filters, and tidy
      descriptions (#446)
    author: Ben's Agent
    branch: HEAD
    dirty: false
  x-build:
    built_at: '2026-11-05T23:04:32.018858+00:00'
servers:
  - url: https://api.mirurobotics.com/beta
    description: Miru Platform API
security:
  - ApiKeyAuth: []
paths:
  /users/{user_id}:
    parameters:
      - $ref: '#/components/parameters/MiruVersion'
    get:
      tags:
        - Users
      summary: Get
      description: >-
        Retrieve a user in the workspace by ID, including members who have left
        or been suspended.
      operationId: getUser
      parameters:
        - $ref: '#/components/parameters/user_id'
      responses:
        '200':
          description: Successfully retrieved the user.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
components:
  parameters:
    MiruVersion:
      name: Miru-Version
      in: header
      required: true
      schema:
        type: string
        example: 2026-11-04.everglades
      description: The API version the client was built against.
    user_id:
      name: user_id
      in: path
      required: true
      description: The unique identifier of the user.
      schema:
        type: string
        example: usr_123
  schemas:
    User:
      title: User
      allOf:
        - $ref: '#/components/schemas/BaseUser'
        - type: object
          required:
            - id
            - status
            - created_at
            - updated_at
          properties:
            id:
              type: string
              example: usr_123
              description: >-
                ID of the user. Attribution fields such as `created_by_id` can
                also hold an API key's or a device's principal ID, which doesn't
                resolve to a user.
            status:
              allOf:
                - $ref: '#/components/schemas/UserStatus'
              description: The user's membership status.
            created_at:
              type: string
              format: date-time
              example: '2021-01-01T00:00:00Z'
              description: Timestamp of when the user was created.
            updated_at:
              type: string
              format: date-time
              example: '2021-01-01T00:00:00Z'
              description: Timestamp of when the user was last updated.
      example:
        object: user
        id: usr_123
        email: jane@example.com
        first_name: Jane
        last_name: Doe
        avatar_url: null
        status: active
        created_at: '2021-01-01T00:00:00Z'
        updated_at: '2021-01-01T00:00:00Z'
    BaseUser:
      title: Base User
      type: object
      required:
        - object
        - email
        - first_name
        - last_name
        - avatar_url
      properties:
        object:
          type: string
          description: The object type, which is always `user`.
          enum:
            - user
          example: user
          x-stainless-const: true
        email:
          type: string
          description: The email address of the user.
          example: jane@example.com
        first_name:
          type: string
          description: The first name of the user.
          example: Jane
        last_name:
          type: string
          description: The last name of the user.
          example: Doe
        avatar_url:
          type: string
          description: The URL of the user's avatar image.
          example: https://example.com/avatar.png
          nullable: true
    UserStatus:
      type: string
      enum:
        - active
        - left
        - suspended
      x-enum-varnames:
        - ACTIVE_USER
        - USER_LEFT
        - SUSPENDED_USER
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: The API key to use for authentication.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.